Bug 25728 - date -f fails to properly convert dates
date -f fails to properly convert dates
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 11:16 EST by David Lawrence
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 11:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-02-02 11:16:19 EST
date -f datefile, where datefile contains two lines:
020210002001
020112002001

returns:
date: invalid date `020210002001'
date: invalid date `020112002001'

which do not appear to be invalid by the man page for date.
Comment 1 Bernhard Rosenkraenzer 2001-02-02 11:24:37 EST
This type of date specification is actually invalid for date files.
date files take "readable" dates only, e.g.
"Feb 18"
"2000/02/02 10:29"

Date files contain the same strings you'd pass to date -d something, not
date something.

Note You need to log in before you can comment on or make changes to this bug.